clc; clear;

data = load('sample_size_variation_noise_power_0.200_sample_size_75000_k_9_dataset_belkin_num_experiments_100_p_0.00000_run_1.mat');

amari_scores_cgf_total =  data.amari_scores_cgf_total;

amari_scores_chf_total = data.amari_scores_chf_total;

amari_scores_kurtosis_total = data.amari_scores_kurtosis_total;

amari_scores_kurtosis_prime_total = data.amari_scores_kurtosis_prime_total;

amari_scores_aiyou_total = data.amari_scores_aiyou_total;

amari_scores_jade_total = data.amari_scores_jade_total;

amari_scores_fastica_total = data.amari_scores_fastica_total;

amari_scores_meta_total = data.amari_scores_meta_total;


fprintf("CGF : mean = %.5f, std = %.5f \n", mean(amari_scores_cgf_total), ...
                                            std(amari_scores_cgf_total));

fprintf("CHF : mean = %.5f, std = %.5f \n", mean(amari_scores_chf_total), ...
                                            std(amari_scores_chf_total));

fprintf("Kurtosis : mean = %.5f, std = %.5f \n", mean(amari_scores_kurtosis_total), ...
                                            std(amari_scores_kurtosis_total));

fprintf("Kurtosis Prime : mean = %.5f, std = %.5f \n", mean(amari_scores_kurtosis_prime_total), ...
                                            std(amari_scores_kurtosis_prime_total));

fprintf("Aiyou : mean = %.5f, std = %.5f \n", mean(amari_scores_aiyou_total), ...
                                            std(amari_scores_aiyou_total));

fprintf("JADE : mean = %.5f, std = %.5f \n", mean(amari_scores_jade_total), ...
                                            std(amari_scores_jade_total));

fprintf("FASTICA : mean = %.5f, std = %.5f \n", mean(amari_scores_fastica_total), ...
                                            std(amari_scores_fastica_total));

fprintf("Meta : mean = %.5f, std = %.5f \n", mean(amari_scores_meta_total), ...
                                            std(amari_scores_meta_total));